PPM
Get Workspace PPM Config with Repository Detection
Get PPM configuration including repositories detected from workspace renv.lock file
GET
/
api
/
v4
/
ppm
/
projects
/
{projectId}
/
workspaces
/
{workspaceId}
/
config
Get Workspace PPM Config with Repository Detection
curl --request GET \
--url https://mycluster.domino.tech/api/v4/ppm/projects/{projectId}/workspaces/{workspaceId}/config \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/v4/ppm/projects/{projectId}/workspaces/{workspaceId}/config"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/v4/ppm/projects/{projectId}/workspaces/{workspaceId}/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/v4/ppm/projects/{projectId}/workspaces/{workspaceId}/config",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Domino-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/v4/ppm/projects/{projectId}/workspaces/{workspaceId}/config"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Domino-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/v4/ppm/projects/{projectId}/workspaces/{workspaceId}/config")
.header("X-Domino-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/v4/ppm/projects/{projectId}/workspaces/{workspaceId}/config")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Domino-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"serverRepos": [
{
"baseUrl": "<string>",
"fullUrl": "<string>",
"repoName": "<string>"
}
],
"workspaceRepos": [
{
"baseUrl": "<string>",
"currentSnapshot": "<string>",
"fullUrl": "<string>",
"repoName": "<string>"
}
],
"biocVersion": "<string>",
"rVersion": "<string>",
"repoAllowlist": [
"<string>"
]
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
DominoApiKeyBearerAuthentication
Path Parameters
The id of the project
Pattern:
^[0-9a-f]{24}$The id of the workspace for renv.lock detection
Pattern:
^[0-9a-f]{24}$Response
Success
Repositories available on PPM servers
Show child attributes
Show child attributes
Repositories detected from workspace renv.lock
Show child attributes
Show child attributes
Bioconductor version from renv.lock (if available)
R version from renv.lock (if available)
List of allowed repository URLs from .domino/repo-allowlist file
Last modified on October 8, 2026
Was this page helpful?
⌘I
Get Workspace PPM Config with Repository Detection
curl --request GET \
--url https://mycluster.domino.tech/api/v4/ppm/projects/{projectId}/workspaces/{workspaceId}/config \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/v4/ppm/projects/{projectId}/workspaces/{workspaceId}/config"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/v4/ppm/projects/{projectId}/workspaces/{workspaceId}/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/v4/ppm/projects/{projectId}/workspaces/{workspaceId}/config",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Domino-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/v4/ppm/projects/{projectId}/workspaces/{workspaceId}/config"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Domino-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/v4/ppm/projects/{projectId}/workspaces/{workspaceId}/config")
.header("X-Domino-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/v4/ppm/projects/{projectId}/workspaces/{workspaceId}/config")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Domino-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"serverRepos": [
{
"baseUrl": "<string>",
"fullUrl": "<string>",
"repoName": "<string>"
}
],
"workspaceRepos": [
{
"baseUrl": "<string>",
"currentSnapshot": "<string>",
"fullUrl": "<string>",
"repoName": "<string>"
}
],
"biocVersion": "<string>",
"rVersion": "<string>",
"repoAllowlist": [
"<string>"
]
}{
"error": "<string>"
}{
"error": "<string>"
}